I don't know how to do something that I think should be pretty simple but I 
cannot find my way in the documentation.
Suppose I made several connected segments using  GCE2d_MakeArcOfCircle and  
GCE2d_MakeSegment.  I now want to make one object, a curve, out of these 
segments.  So it seems I am supposed to use BRepBuilderAPI_MakeEdge2d and then 
make a wire out of that with BRepBuilderAPI_MakeWire, but now I want to have 
access to the underlying composite curve to, for example, find coordinates at 
some points on that curve given arc-length parameter t. Or for example given x 
coordinate find y of a point P(x,y) which lies on the curve and find t at that 
location.  It is rather basic 2d sketching stuff.  How can this be done?
Regards,VJ                                        
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to